## AgsLv2PresetManager

AgsLv2PresetManager — Singleton pattern to organize LV2 presets

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_LV2_PRESET_MANAGER_GET_OBJ_MUTEX()
AgsLv2PresetManager * | ags_lv2_preset_manager_get_instance ()
AgsLv2PresetManager * | ags_lv2_preset_manager_new ()

## Object Hierarchy

        GObject
        ╰── AgsLv2PresetManager

## Includes

    #include <ags/plugin/ags_lv2_preset_manager.h>

## Description

The AgsLv2PresetManager loads/unloads LV2 presets.

## Functions

### AGS_LV2_PRESET_MANAGER_GET_OBJ_MUTEX()

    #define AGS_LV2_PRESET_MANAGER_GET_OBJ_MUTEX(obj) (((AgsLv2PresetManager *) obj)->obj_mutex)

### ags_lv2_preset_manager_get_instance ()

    AgsLv2PresetManager *
    ags_lv2_preset_manager_get_instance ();

Get instance.

#### Returns

the AgsLv2PresetManager.

[transfer none]

Since: 3.0.0

### ags_lv2_preset_manager_new ()

    AgsLv2PresetManager *
    ags_lv2_preset_manager_new ();

Create a new instance of AgsLv2PresetManager

#### Returns

the new AgsLv2PresetManager

Since: 3.0.0